GET api/badgereaderapi/badgeReader/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BadgeReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_id | globally unique identifier |
None. |
|
| com_port | integer |
None. |
|
| baudrate | integer |
None. |
|
| direction | string |
Required String length: inclusive between 0 and 3 |
|
| has_correspondence | boolean |
Required |
|
| active | boolean |
Required |
|
| badge_reader_type_id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
|
| handshake | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": "64834813-e8f6-4bf1-a385-1b3f1b0c9715",
"name": "sample string 2",
"pc_id": "57a6aeb0-a95a-40ab-8cae-06a9cbaa297a",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "9e9826b9-8629-4e30-9e19-a0f83d5cfb3c",
"site_id": "b965b5c6-a3a7-4ef3-8282-c8bc497a88aa",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
}
application/xml, text/xml
Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <badge_reader_type_id>9e9826b9-8629-4e30-9e19-a0f83d5cfb3c</badge_reader_type_id> <baudrate>1</baudrate> <com_port>1</com_port> <data_bits>7</data_bits> <direction>sample string 3</direction> <handshake>9</handshake> <has_correspondence>true</has_correspondence> <id>64834813-e8f6-4bf1-a385-1b3f1b0c9715</id> <name>sample string 2</name> <parity>6</parity> <pc_id>57a6aeb0-a95a-40ab-8cae-06a9cbaa297a</pc_id> <site_id>b965b5c6-a3a7-4ef3-8282-c8bc497a88aa</site_id> <stop_bits>8</stop_bits> </badgereader>